import adCallSelect from './adCallSelect'
import librariesDialog from './librariesDialog'
import messageDialog from './messageDialog'
import nameText from './nameText'
import submitFormButton from './submitFormButton'

export default function form(ui) {
  const messageInsertion = ui.getValue().message.length===0 ? {type: 'divider', params: {id: 'emptyMessage'}} : messageDialog(ui, ui.getValue().message[0], ui.getValue().message[1])
  const errorsInsertion = ui.getValue().errorList.length===0 ? {type: 'divider', params: {id: 'emptyError'}} : messageDialog(ui, 'Check the inputs', ui.createErrorMessage())

  return {
    type: 'card',
    params: {
      id: 'formContainer',
      mainText: 'Awesome form',
      secondaryText: 'Give some random info',
      contents: [
        {
          type: 'card',
          params: {
            id: 'inputsContainer',
            mainText: '',
            secondaryText: '',
            contents: [
              nameText(ui),
              {type: 'divider', params: {id: 'librariesDivider'}},
              librariesDialog(ui),
              {type: 'divider', params: {id: 'adCallDivider'}},
              adCallSelect(ui),
            ],
          },
        },
        {type: 'divider', params: {id: 'creationButtonDivider'}},
        submitFormButton(ui),
        messageInsertion,
        errorsInsertion,
      ],
    },
  }
}
