export default function librariesOptions (ui) {
  const onToggle = function(id, value) {
    ui.updateArrayField( 'libraryList', id, value)
  }

  function createCheckboxes(){
    const LIBRARIES = {
      smartAds: {label:'smart-ads'},
      mcfComponents: {label:'mcf-components'},
      mcfObjects: {label:'mcf-objects'},
    }
    const checkboxes = []
    for (const library in LIBRARIES){
      const value = !!ui.getValue().libraryList.find(element => element === library)
      checkboxes.push({id: library, checked: value, label: LIBRARIES[library].label})
    }
    return checkboxes
  }

  return {
    type: 'checkboxesGroup',
    params: {
      id: 'libraryOptions',
      label: '',
      helperText: 'Select which libraries are awesome',
      isRow: false,
      checkboxes: createCheckboxes(),
      onChangeListener: onToggle,
    },
  }
}
